Bug 76522 - random computer crash on smp kernel
random computer crash on smp kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 16:02 EDT by Raul Acevedo
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raul Acevedo 2002-10-22 16:02:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020706

Description of problem:
I've gotten three complete system crashes (the computer suddenly reboots),
seemingly at random, since installing Red Hat 8.0.  I upgraded the kernel
yesterday to 2.4.8-17.8.0, and I got another crash today.  During two of the
panics I was looking at images in mozilla, the other one happened completely
randomly outside of mozilla or anything with images.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try, it's not clear how I could.

Steps to Reproduce:
I don't know of a way to reproduce this.

Additional info:

I'm using the SMP kernel on a Dell Precision 220 workstation with dual PIII 1Ghz
processors and 384M of RAM.  I've had this computer for over a year, always
running the latest Red Hat, with no problems until upgrading to 8.0.
Comment 1 Arjan van de Ven 2002-10-22 16:04:43 EDT
can you paste the output of "lsmod" here ?
that way I can see which drivers might cause this
Comment 2 Raul Acevedo 2002-10-22 16:12:07 EDT
The NVdriver is from NVidia's Linux driver, version 3123.  However, I only
installed this yesterday, so I've had the crashes both before and after using
this driver.

# lsmod
Module                  Size  Used by    Tainted: P  
ide-cd                 33640   0  (autoclean)
cdrom                  34176   0  (autoclean) [ide-cd]
i810_audio             26504   1  (autoclean)
ac97_codec             13512   0  (autoclean) [i810_audio]
soundcore               7108   2  (autoclean) [i810_audio]
agpgart                43808   3  (autoclean)
NVdriver             1149760  10  (autoclean)
parport_pc             19236   1  (autoclean)
lp                      9188   0  (autoclean)
parport                39136   1  (autoclean) [parport_pc lp]
autofs                 13700   0  (autoclean) (unused)
3c59x                  31408   1 
ipt_REJECT              3736   6  (autoclean)
iptable_filter          2412   1  (autoclean)
ip_tables              15640   2  [ipt_REJECT iptable_filter]
mousedev                5688   1 
keybdev                 2976   0  (unused)
hid                    22404   0  (unused)
input                   6240   0  [mousedev keybdev hid]
usb-uhci               27276   0  (unused)
usbcore                80512   1  [hid usb-uhci]
ext3                   73024   6 
jbd                    56752   6  [ext3]
aic7xxx               138452   5 
sd_mod                 13552  10 
scsi_mod              110408   2  [aic7xxx sd_mod]
Comment 3 Arjan van de Ven 2002-10-22 16:15:20 EDT
is there any chance you can get the actual oops?
(it may be in the /var/log/messages file)
Comment 4 Raul Acevedo 2002-10-22 16:24:00 EDT
I didn't see it.   The log file goes from printing a lot of NVRM messages (which
it does all the time) directly to the reboot.  Here's a snippet:

Oct 22 09:06:01 inspired kernel: NVRM: AGPGART: freed 128 pages
Oct 22 09:06:01 inspired kernel: NVRM: AGPGART: freed 257 pages
Oct 22 09:16:05 inspired kernel: NVRM: AGPGART: allocated 257 pages
Oct 22 09:16:05 inspired kernel: NVRM: AGPGART: allocated 128 pages
Oct 22 09:26:05 inspired kernel: NVRM: AGPGART: freed 128 pages
Oct 22 09:26:05 inspired kernel: NVRM: AGPGART: freed 257 pages
Oct 22 12:44:05 inspired syslogd 1.4.1: restart.
Oct 22 12:44:05 inspired syslog: syslogd startup succeeded
Oct 22 12:44:05 inspired kernel: klogd 1.4.1, log source = /proc/kmsg started.
Oct 22 12:44:05 inspired kernel: Linux version 2.4.18-17.8.0smp
(bhcompile@daffy.perf.redhat.com) (gcc version 3.2 20020903 (Red Hat Linux 8.0
3.2-7)) #1 SMP Tue Oct 8 12:39:01 EDT 2002
Oct 22 12:44:05 inspired kernel: BIOS-provided physical RAM map:
Oct 22 12:44:05 inspired kernel:  BIOS-e820: 0000000000000000 - 00000000000a0000
(usable)
Oct 22 12:44:05 inspired kernel:  BIOS-e820: 00000000000f0000 - 0000000000100000
(reserved)
Oct 22 12:44:05 inspired kernel:  BIOS-e820: 0000000000100000 - 0000000017f9e000
(usable)
Oct 22 12:44:05 inspired kernel:  BIOS-e820: 0000000017f9e000 - 0000000018000000
(reserved)
Oct 22 12:44:05 inspired kernel:  BIOS-e820: 00000000fec00000 - 00000000fec10000
(reserved)
Oct 22 12:44:05 inspired kernel:  BIOS-e820: 00000000fee00000 - 00000000fee10000
(reserved)
Oct 22 12:44:05 inspired kernel:  BIOS-e820: 00000000ffb00000 - 0000000100000000
(reserved)
Oct 22 12:44:05 inspired kernel: 0MB HIGHMEM available.
Oct 22 12:44:05 inspired kernel: 383MB LOWMEM available.
Oct 22 12:44:05 inspired syslog: klogd startup succeeded

Is there something I can set so that if it happens again, there will be some
sort of log or debugging info?
Comment 5 Arjan van de Ven 2002-10-22 16:26:45 EDT
You should see something with a lot of hexadecimal numbers in the form

[<c802321>] some_random_thing 0/0x234

or so

btw 
"The NVdriver is from NVidia's Linux driver, version 3123.  However, I only
installed this yesterday, so I've had the crashes both before and after using
this driver."

did you run without the nvidia stuff before that ?
Comment 6 Raul Acevedo 2002-10-22 16:30:54 EDT
When I installed Red Hat 8.0, I didn't install the NVidia drivers right away. 
So the first two times it crashed, the NVidia drivers were not installed.

Comment 7 Raul Acevedo 2002-10-24 04:29:19 EDT
My system just crashed again.  I was just web surfing, and boom, it reboots.

Unfortunately, I don't see anything in the /var/log/messages file, it just goes
straight from regular log messages to the reboot.

Is there anything I can do to generate any useful information for this?  If it
happens again, I'll try running without the NVidia drivers, and see if it goes away.
Comment 8 Need Real Name 2002-10-24 12:33:08 EDT
I am having the same problem with a compaq DL380 G2.  I installed another proc
after 30 days of uptime, installed the smp kernel less then 24 hours later
crash, no messages in the error log, attached is a lsmod.  I am running redhat
7.3 with kernel version 2.4.18-17.7.x

Module                  Size  Used by    Not tainted
nfsd                   75360   8  (autoclean)
autofs                 11172   0  (autoclean) (unused)
nfs                    82720   1  (autoclean)
lockd                  55296   1  (autoclean) [nfsd nfs]
sunrpc                 73876   1  (autoclean) [nfsd nfs lockd]
tg3                    45120   1 
eepro100               20240   0  (unused)
reiserfs              183392   2  (autoclean)
usb-ohci               20192   0  (unused)
usbcore                71072   1  [usb-ohci]
ext3                   64800   5 
jbd                    47892   5  [ext3]
cciss                  38912   8 
sd_mod                 12832   0  (unused)
scsi_mod              104800   1  [cciss sd_mod]
Comment 9 Bugzilla owner 2004-09-30 11:40:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.